Name:		mscgen
Version:	0.20
Release:	%mkrel 4
Summary:	A small program that parses Message Sequence Chart descriptions
License:	GPLv2
Group:		Graphics/Editors and Converters
Url:		http://www.mcternan.me.uk/mscgen/

Source0:	http://www.mcternan.me.uk/mscgen/software/%{name}-src-%{version}.tar.gz

BuildRequires:	gd-devel

%description
Mscgen is a small program that parses Message Sequence Chart descriptions and
produces PNG, SVG, EPS or server side image maps (ismaps) as the output.
Message Sequence Charts (MSCs) are a way of representing entities and
interactions over some time period and are often used in combination with SDL.
MSCs are popular in Telecoms to specify how protocols operate although MSCs
need not be complicated to create or use. Mscgen aims to provide a simple text
language that is clear to create, edit and understand, which can also be
transformed into common image formats for display or printing.

This program and the language it parses have been inspired by Graphviz Dot,
which provides a really good way to document State Transition Diagrams, data
structures and directed graphs. Unlike Graphviz, this program does no clever
layout operations or spline routing as this is not needed for MSCs, and so was
much simpler to implement. Doxygen (version 1.5.2 onwards) also allows MSCs to
be embedded directly in the same way that dot diagrams can be added to
documentation, making it easy to improve Doxygen generated documentation
through the use of message sequence charts.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_bindir}/%{name}
%dir %{_datadir}/doc/%{name}
%doc %{_datadir}/doc/%{name}/*
%{_mandir}/man1/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.20-4.mga4
+ Revision: 523996
- Mageia 4 Mass Rebuild

* Tue May 28 2013 oden <oden> 0.20-3.mga4
+ Revision: 429290
- rebuilt against libgd.so.3

* Thu Jan 24 2013 fwang <fwang> 0.20-2.mga3
+ Revision: 391876
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 obgr_seneca <obgr_seneca> 0.20-1.mga2
+ Revision: 208094
- added gd as buildrequire
- imported package mscgen


* Sun Feb 12 2012 Oliver Burger <obgr_seneca@mageia.org>
- initial package for Mageia
